Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/33339/?format=api
{ "ob_id": 33339, "uuid": "51725f90c60a45e69f07a748a25b9729", "title": "JNCC Sentinel-2 indices Analysis Ready Data (ARD) Normalised Difference Vegetation Index (NDVI) v1", "abstract": "Sentinel-Hub NDVI description: \r\nNDVI is a simple, but effective index for quantifying green vegetation. It normalizes green leaf scattering in Near Infra-red wavelengths with chlorophyll absorption in red wavelengths.\r\n\r\nThe value range of the NDVI is -1 to 1. Negative values of NDVI (values approaching -1) correspond to water. Values close to zero (-0.1 to 0.1) generally correspond to barren areas of rock, sand, or snow. Low, positive values represent shrub and grassland (approximately 0.2 to 0.4), while high values indicate temperate and tropical rainforests (values approaching 1). It is a good proxy for live green vegetation.\r\n\r\nNDVI = (NIR – Red) / (NIR + RED)\r\n\r\nSentinel-2 NDVI = (B8 - B4) / (B8 + B4)\r\n\r\nThese data have been created by the Joint Nature Conservation Committee (JNCC) as part of a Defra Natural Capital and Ecosystem Assessment (NCEA) project to produce a regional, and ultimately national, system for detecting a change in habitat conditions at a land parcel level. The first stage of the project is focused on Yorkshire, UK, and therefore the dataset includes granules and scenes covering Yorkshire and surrounding areas only. The dataset contains Normalised Difference Vegetation Index (NDVI) data derived from Defra and JNCC Sentinel-2 Analysis Ready Data. \r\n\r\nNDVI files are generated for the following Sentinel-2 granules:\r\n•\tT30UWE\r\n•\tT30UXF\r\n•\tT30UWF\r\n•\tT30UXE\r\n•\tT31UCV \r\n•\tT30UYE\r\n•\tT31UCA\r\n\r\nAs the project continues, JNCC will expand the geographical coverage of this dataset and will provide continuous updates as ARD becomes available.\r\n\r\nVersion 1 contains masked index files (using the Defra and JNCC ARD cloud and topographic shadow masks).", "keywords": "JNCC, ARD, NDVI, Sentinel 2, EO indices, Analysis Ready Data, Sentinel", "publicationState": "published", "dataPublishedTime": "2022-05-11T14:02:16", "doiPublishedTime": null, "updateFrequency": "", "status": "superseded", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/33340/?format=api", "dataPath": "/neodc/sentinel_ard/indices/sentinel_2/ndvi/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1993246894475, "numberOfFiles": 17657, "fileFormat": "These data are provided in Cloud Optimized GeoTIFF (COG) format." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/9164/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2609/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were produced by the project team and supplied for archiving at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/30197/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148897/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148898/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148899/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148892/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148893/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148894/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148895/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148896/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/33348/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }